/* CHAP02.6  (Header file) */


/* Window Procedures */

   int PASCAL WinMain(HANDLE, HANDLE, LPSTR, int);
   long FAR PASCAL WindowProcedure(HWND, unsigned, WORD, LONG);
   BOOL FAR PASCAL AboutBoxDB(HWND, unsigned, WORD, LONG);
   BOOL FAR PASCAL FormatBoxDB(HWND, unsigned, WORD, LONG);

/* Initialize and Create Routines */

   BOOL InitODwindow(HANDLE);
   HWND CreateODwindow(HANDLE, int);
   void InitWNDstruct(HWND);

/* Text Manipulation Structure */

   typedef struct tagTXTOUT
   {
       BOOL bRedraw;
       int xCaret;
       int yCaret;
       int xInch;
       int yInch;
       int lMargin;
       int rMargin;
       int tMargin;
       int bMargin;
       int xChar;
       int yChar;
       int TabStops;
       int nJustify;
       RECT rc;
       COLORREF crBkgrnd;
       COLORREF crColor;
   } TXTOUT;
   typedef TXTOUT NEAR * PTXTOUT;

/* Primary Text Routines */

   void PrintText(char *);
   void PrintTXT(HWND, HDC, char * );
   void PrintTXText(HWND, HDC, char *);
   void PrintTXTfmt(HWND, HDC, char *, WORD);
   void PrintTXTjust(HWND, HDC, char * );
   void PrintTXTtab(HWND, HDC, char *, int);

/* Support Text Routines */

   void DefineTXTrect(PTXTOUT, HDC, char * );
   void GetDEVinches(HWND, int *, int *);
   void GetTXTcaret(HWND, int, int);
   void GetTXTdata(HWND, int *, int *);
   void SetTXTbkgrnd(HWND, int);
   void SetTXTcaret(HWND, int, int);
   void SetTXTcolor(HWND, int);
   void SetTXTcolors(PTXTOUT, HDC, BOOL);
   void SetTXTdata(HWND, int *, int *);
   void SetTXTredraw(HWND, BOOL);
   void ShowTXTcaret(HWND, BOOL);
   PTXTOUT TextOutput(HWND, BOOL);

/* Routines from other chapters */

   DisplayMBinfo(HWND, int, char *);
   BOOL MoveODcenter(HWND, int, int);
   int CallDBcode(HWND, FARPROC, char *);

   DWORD dwStyle = WS_OVERLAPPEDWINDOW;
   HANDLE hInst;
   int xPos, yPos;  /* For PrintText routine only */


   #define IDM_PRINTTXT   201
   #define IDM_FORMATTXT  202
   #define IDM_JUSTIFYTXT 203
   #define IDM_EXTTXTOUT  204
   #define IDM_TABBEDTXT  205

   #define IDM_SIMPLETXT  211

   #define COLORBASE      230
   #define IDM_CBLACK     230
   #define IDM_CWHITE     231
   #define IDM_CYELLOW    232
   #define IDM_CMAGENTA   233
   #define IDM_CRED       234
   #define IDM_CCYAN      235
   #define IDM_CGREEN     236
   #define IDM_CBLUE      237

   #define BCOLORBASE     240
   #define IDM_BBLACK     240
   #define IDM_BWHITE     241
   #define IDM_BYELLOW    242
   #define IDM_BMAGENTA   243
   #define IDM_BRED       244
   #define IDM_BCYAN      245
   #define IDM_BGREEN     246
   #define IDM_BBLUE      247

   #define IDM_FORMAT     301
   #define IDM_ABOUT      302

/* Dialog box identifiers */

   #define IDD_LMARGIN    501
   #define IDD_RMARGIN    502
   #define IDD_TMARGIN    503
   #define IDD_BMARGIN    504
   #define IDD_JUSTIFY    505

   #define IDD_FILENAME   510
   #define IDD_FILELIST   511
   #define IDD_DIRECTORY  512

   char szHomer[17][80] = {
     "As when out of the thunderhead the air shows darkening",
     "after a day's heat when the stormy window uprises",
     "thus to Tydeus' son Diomedes Ares the brazen",
     "showed as he went up with the clouds into the wide heaven.",
     "Lightly he came to gods' citadel, headlong Olympos,",
     "and sat down beside Kronian Zeus, grieving in his spirit,",
     "and showed him the immortal blood dripping from his spear cut.",
     "So in sorrow for himself he addressed him in winged words:",
     "Father Zeus, are you not angry looking on these acts of violence?",
     "We who are gods forever have to endure the most horrible",
     "hurts, by each other's hatred, as we try to give favor to mortals",
     "It is your fault we fight, since you brought forth this maniac",
     "daughter accursed, whose mind is fixed forever on unjust action.",
     "For all the rest, as many as are gods on Olympos,",
     "are obedient to you, and we all have rendered ourselves submissive.",
     "Yet you say nothing, and do nothing to check this girl, letting",
     "her go free, since yourself you begot this child of perdition." };
